## ros-lunar-image-view 1.12.23

=== debian/changelog ===
ros-lunar-image-view (1.12.23-0stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 22:00:00 -0000

ros-lunar-image-view (1.12.22-0stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-lunar-image-view (1.12.21-0stretch) stretch; urgency=high

  * call namedWindow from same thread as imshow, need waitKay, now cvStartWindowThreads is null funciton on window_QT.h (#279 <https://github.com/ros-perception/image_pipeline/issues/279>)
  * Contributors: Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-lunar-image-view (1.12.20-0stretch) stretch; urgency=high

  * DisparityViewNodelet: fixed freeze (#244 <https://github.com/ros-perception/image_pipeline/issues/244>)
  * launch image view with a predefined window size (#257 <https://github.com/ros-perception/image_pipeline/issues/257>)
  * Remove python-opencv run_depend for image_view (#270 <https://github.com/ros-perception/image_pipeline/issues/270>)
    The python-opencv dependency pulls in the system OpenCV v2.4 which is
    not required since the image_view package depends on cv_bridge which
    pulls in opencv3 and opencv3 provides the python library that
    image_view can use.
  * Fix encoding error message (#253 <https://github.com/ros-perception/image_pipeline/issues/253>)
    * Fix encoding error message
    * Update image_saver.cpp
    Allow compilation on older compilers
  * Including stereo_msgs dep fixes #248 <https://github.com/ros-perception/image_pipeline/issues/248> (#249 <https://github.com/ros-perception/image_pipeline/issues/249>)
  * Add no gui mode to just visualize & publish with image_view (#241 <https://github.com/ros-perception/image_pipeline/issues/241>)
  * stere_view: fixed empty left, right, disparity windows with opencv3
  * Apply value scaling to depth/float image with min/max image value
    If min/max image value is specified we just use it, and if not,
    - 32FC1: we assume depth image with meter metric, and 10[m] as the max range.
    - 16UC1: we assume depth image with milimeter metric, and 10 * 1000[mm] as the max range.
  * Depends on cv_bridge 1.11.13 for CvtColorForDisplayOptions
    Close #238 <https://github.com/ros-perception/image_pipeline/issues/238>
  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Christopher Wecht, Kartik Mohta, Kei Okada, Kentaro Wada, Lukas Bulwahn, Leonard Gerard, Vincent Rabaud, cwecht, mryellow

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-lunar-image-view (1.12.19-0stretch) stretch; urgency=high

  * Add colormap option in video_recorder
  * Merge pull request #203 <https://github.com/ros-perception/image_pipeline/issues/203> from wkentaro/video-recorder-timestamp
    [image_view] Stamped video output filename for video recorder
  * bump version requirement for cv_bridge dep
    Closes #215 <https://github.com/ros-perception/image_pipeline/issues/215>
  * Request for saving image with start/end two triggers
  * Stamped video output filename
    - _filename:=output.avi _stamped_filename:=false -> output.avi
    - _filename:=_out.avi _stamped_filename:=true -> 1466299931.584632829_out.avi
    - _filename:=$HOME/.ros/.avi _stamped_filename:=true -> /home/ubuntu/.ros/1466299931.584632829.avi
  * Revert max_depth_range to default value for cvtColorForDisplay
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 22:00:00 -0000

ros-lunar-image-view (1.12.18-0stretch) stretch; urgency=high

  * Use image_transport::Subscriber aside from ros::Subscriber
  * Refactor: Remove subscription of camera_info in video_recorder
  * Add colormap options for displaying image topic
  * Use CvtColorForDisplayOptions for cvtColorForDisplay
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 22:00:00 -0000

ros-lunar-image-view (1.12.17-0stretch) stretch; urgency=high

  * Fix timestamp to get correct fps in video_recorder
  * Get correct fps in video_recorder.cpp
  * Do dynamic scaling for float images
  * Contributors: Kentaro Wada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-lunar-image-view (1.12.16-0stretch) stretch; urgency=high

  * Remove code for roslib on .cfg files
    Closes #185 <https://github.com/ros-perception/image_pipeline/issues/185>
  * add cv::waitKey for opencv3 installed from source to fix freezing issue
  * when no image is saved, do not save camera info
    When the images are not recorded because "save_all_image" is false and "save_image_service" is false, the frame count should not be incremented and the camera info should not be written to disk.
  * Add std_srvs to catkin find_package()
  * Contributors: Jeremy Kerfs, Jochen Sprickerhof, Kentaro Wada, Krishneel

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 23:00:00 -0000

ros-lunar-image-view (1.12.15-0stretch) stretch; urgency=high

  * simplify the OpenCV dependency
  * [image_view] Configure do_dynamic_scaling param with dynamic_reconfigure
  * [image_view] Scale 16UC1 depth image
  * fix compilation
  * Extract images which are synchronized with message_filters
  * [image_view] Show full path when failed to save image

