=== debian/control ===
Source: ros-lunar-image-view
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgtk2.0-dev, ros-lunar-camera-calibration-parsers, ros-lunar-catkin, ros-lunar-cv-bridge (>= 1.11.13), ros-lunar-dynamic-reconfigure, ros-lunar-image-transport, ros-lunar-message-filters, ros-lunar-message-generation, ros-lunar-nodelet, ros-lunar-rosconsole, ros-lunar-roscpp, ros-lunar-rostest, ros-lunar-sensor-msgs, ros-lunar-std-srvs, ros-lunar-stereo-msgs
Homepage: http://www.ros.org/wiki/image_view
Standards-Version: 3.9.2

Package: ros-lunar-image-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2.0-dev, ros-lunar-camera-calibration-parsers, ros-lunar-cv-bridge (>= 1.11.13), ros-lunar-dynamic-reconfigure, ros-lunar-image-transport, ros-lunar-message-filters, ros-lunar-nodelet, ros-lunar-rosconsole, ros-lunar-roscpp, ros-lunar-std-srvs
Description: A simple viewer for ROS image topics.
 Includes a specialized viewer for stereo + disparity images.
